List comparison values

This endpoint lets you to compare multiple metrics across specified dimensions. You can specify the metrics you want to compare in the query parameters, and the response includes the relevant metrics for the specified dimensions.

Key fields in response

  • value: The specific metric value calculated based on the applied filters.
  • type: The data unit or format type (for example, "number", "milliseconds", "percentage").
  • name: The display name of the metric (for example, "Views", "Overall Score").
  • metric: The metric field represents the name of the Key Performance Indicator (KPI) being tracked or analyzed. It identifies a specific measurable aspect of the video playback experience, such as buffering time, video start failure rate, or playback quality.
  • items: Nested breakdown of related metrics for more detailed analysis.
  • measurement: Defines the aggregation type (for example, "avg", "sum", "median", "95th").

How it works

  1. Before making a request to this endpoint, call the list dimensions endpoint to obtain all available dimensions that can be used for comparison.

  2. Send a GET request to this endpoint with the desired metrics specified in the query parameters.

  3. You Receive a response containing the comparison values for the specified metrics across the selected dimensions.

Related guide: Compare metrics in dashboard

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum

This parameter specifies the time span between which the video views list must be retrieved by. You can provide either from and to unix epoch timestamps or time duration. The scope of duration is between 60 minutes to 30 days.

Accepted formats are:

array of epoch timestamps for example timespan[]=1498867200&timespan[]=1498953600

duration string for example timespan[]=24:hours or timespan[]=7:days

Allowed:
string

Pass the dimensions and their corresponding values you want to filter the views by. For excluding the values in the filter we can pass "!" before the filter value. The list of filters can be obtained from list of dimensions endpoint. Example Values : [ browser_name:Chrome , os_name:macOS , !device_name:Galaxy ]

string
enum

The dimension id in which the views are watched.

string

The value for the selected dimension. For example: If dimension is browser_name, the value could be Chrome , Firefox etc . If dimension is os_name, the value could be macOS , Windows etc .

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json